> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a workspace license

> Updates a workspace license's purchased seat count. The display name can only be changed on custom workspaces.



## OpenAPI

````yaml https://api.saas-manager.biz.nuro.jp/public-api/docs/v1-json patch /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/licenses/{licenseId}
openapi: 3.0.0
info:
  title: Assist SaaS Manager Public API
  description: >-
    Assist SaaS Manager API is a RESTful API providing programmatic access to
    much of the data in the system. It provides predictable URLs for accessing
    resources, and uses built-in HTTP features to receive commands and return
    responses. This makes it easy to communicate with from a wide variety of
    environments, from command-line utilities to gadgets to the browser URL bar
    itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.saas-manager.biz.nuro.jp
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: Structures
    description: ''
  - name: People
    description: ''
  - name: People Stats
    description: ''
  - name: Employee Masters
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Custom Services
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Workspace Licenses
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Service Roles
    description: ''
  - name: Service Licenses
    description: ''
  - name: Recommended Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/licenses/{licenseId}:
    patch:
      tags:
        - Workspace Licenses
      summary: Update a workspace license
      description: >-
        Updates a workspace license's purchased seat count. The display name can
        only be changed on custom workspaces.
      operationId: publicUpdateWorkspaceLicense
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: workspaceId
          required: true
          in: path
          schema:
            type: number
        - name: licenseId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicUpdateWorkspaceLicenseRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicWorkspaceLicenseResponseDto'
        '400':
          description: License name cannot be edited for non-custom workspaces
        '401':
          description: Invalid or missing API key
      security:
        - API-Key: []
components:
  schemas:
    PublicUpdateWorkspaceLicenseRequestDto:
      type: object
      properties:
        purchasedLicenses:
          type: number
        displayName:
          type: string
    PublicWorkspaceLicenseResponseDto:
      type: object
      properties:
        displayName:
          type: string
          readOnly: true
          example: license name
        licenseId:
          type: string
          readOnly: true
          example: LICENSE_NAME
        purchasedLicenses:
          type: number
          readOnly: true
          example: 10
      required:
        - displayName
        - licenseId
        - purchasedLicenses
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank' rel='noopener noreferrer'
        href='https://www.saas-manager.biz.nuro.jp/'>Assist SaaS Manager</a>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.